"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const express = require("express");
const morgan = require('morgan');
class Serve extends command_1.Command {
    async run() {
        const { flags: { spa } } = this.parse(Serve);
        const root = process.cwd();
        const app = express();
        // app.name = 'static'
        app.use(morgan('dev'));
        app.use(express.static(root));
        if (spa) {
            app.get('*', (_, res) => {
                res.sendfile('index.html');
            });
        }
        return new Promise((resolve, reject) => {
            const port = process.env.PORT || 5000;
            app.listen(port, () => {
                this.log(`serving ${spa ? 'spa ' : ''}static assets from ${root} on port ${port}`);
            })
                .on('close', resolve)
                .on('error', reject);
        });
    }
}
Serve.flags = {
    help: command_1.flags.help({ char: 'h' }),
    spa: command_1.flags.boolean(),
};
exports.default = Serve;
