"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const stream_1 = require("stream");
class LineTransform extends stream_1.Transform {
    _transform(chunk, _, next) {
        let data = chunk.toString('utf8');
        if (this._lastLineData)
            data = this._lastLineData + data;
        let lines = data.split('\n');
        this._lastLineData = lines.splice(lines.length - 1, 1)[0];
        lines.forEach(this.push.bind(this));
        next();
    }
    _flush(done) {
        if (this._lastLineData)
            this.push(this._lastLineData);
        delete this._lastLineData;
        done();
    }
}
exports.default = LineTransform;
